/* This code is NOT mine. */
/* I got it from https://alvarotrigo.com/blog/animated-backgrounds-css/ */
/* But I did tweak it a little bit */
/* And yes I know how to use multi line comments (proof in global.css) */

@import url("https://fonts.googleapis.com/css?family=Montserrat:700");
.hero {
  position: absolute;
  z-index: -9999;
  height: 100vh;
  overflow: hidden;
  font-family: "Montserrat", sans-serif;
  pointer-events: none;
}

/* I don't think this is needed? keep it anyway just in case! */
.hero__title {
  color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 50px;
  z-index: 1;
}

.cube {
  position: absolute;
  z-index: -999;
  top: 80vh;
  left: 45vw;
  width: 10px;
  height: 10px;
  border: solid 1px rgba(232, 57, 255, 0.699);
  transform-origin: top left;
  transform: scale(0) rotate(0deg) translate(-50%, -50%);
  -webkit-animation: cube 12s ease-in forwards infinite;
          animation: cube 12s ease-in forwards infinite;
}
.cube:nth-child(2n) {
  border-color: rgba(255, 57, 196, 0.699);
}
.cube:nth-child(2) {
  -webkit-animation-delay: 2s;
          animation-delay: 2s;
  left: 25vw;
  top: 40vh;
}
.cube:nth-child(3) {
  -webkit-animation-delay: 4s;
          animation-delay: 4s;
  left: 75vw;
  top: 50vh;
}
.cube:nth-child(4) {
  -webkit-animation-delay: 6s;
          animation-delay: 6s;
  left: 90vw;
  top: 10vh;
}
.cube:nth-child(5) {
  -webkit-animation-delay: 8s;
          animation-delay: 8s;
  left: 10vw;
  top: 85vh;
}
.cube:nth-child(6) {
  -webkit-animation-delay: 10s;
          animation-delay: 10s;
  left: 50vw;
  top: 10vh;
}

@-webkit-keyframes cube {
  from {
    transform: scale(0) rotate(0deg) translate(-50%, -50%);
    opacity: 1;
  }
  to {
    transform: scale(10) rotate(960deg) translate(-50%, -50%);
    opacity: 0;
  }
}

@keyframes cube {
  from {
    transform: scale(0) rotate(0deg) translate(-50%, -50%);
    opacity: 1;
  }
  to {
    transform: scale(10) rotate(960deg) translate(-50%, -50%);
    opacity: 0;
  }
}